/*
 * Class WEL_STAT_STG
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_59 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_59 [] = {0xFF01,1551,58,0xFFFF};
static const EIF_TYPE_INDEX egt_2_59 [] = {0xFF01,58,0xFFFF};
static const EIF_TYPE_INDEX egt_3_59 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_59 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_59 [] = {0xFF01,58,0xFFFF};
static const EIF_TYPE_INDEX egt_6_59 [] = {0xFF01,58,0xFFFF};
static const EIF_TYPE_INDEX egt_7_59 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_59 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_59 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_59 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_59 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_59 [] = {0xFF01,58,0xFFFF};
static const EIF_TYPE_INDEX egt_13_59 [] = {0xFF01,669,0xFFFF};


static const struct desc_info desc_59[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_59), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_59), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_59), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_59), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_59), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_59), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_59), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_59), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_59), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_59), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_59), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_59), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x75 /*58*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_59), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 793, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 794, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B9 /*860*/), 795, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_59), 790, 0},
	{EIF_NON_GENERIC(0x06CB /*869*/), 791, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B9 /*860*/), 792, 0xFFFFFFFF},
};
void Init59(void)
{
	IDSC(desc_59, 0, 58);
	IDSC(desc_59 + 1, 1, 58);
	IDSC(desc_59 + 32, 1156, 58);
}


#ifdef __cplusplus
}
#endif
